### Virtual Method

# Foundry Vcs list_files

#### Declaration [src]

    DexFuture*
    list_files (
      FoundryVcs* self
    )

#### Description [src]

List all files in the repository.

It is not required that implementations return files that are not indexed in their caches from this method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `GListModel` of `FoundryVcsFile`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.